{% extends 'base.html.twig' %}

{% block title %}Log in!{% endblock %}
{% block stylesheets %}

{{ parent() }}
<link rel="stylesheet" href="{{ asset('css/login.css') }}"

{% endblock %}

{% block body %}
<form class = "form-signin" method="post">
    {% if error %}
        <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
    {% endif %}

    {% if app.user %}
        <div class="mb-3">
            You are logged in as {{ app.user.username }}, <a href="{{ path('app_logout') }}">Logout</a>
        </div>
    {% endif %}

        <h1 class="h3 mb-3 font-weight-normal">Connectez-vous ici !</h1>
        <label for="inputEmail" class="sr-only" >Email</label>
        <input type="email" value="{{ last_username }}" name="email" id="inputEmail" class="form-control" placeholder="Email address"  required autofocus></br>
        <label for="inputPassword" class="sr-only">Password</label>
        <input type="password" name="password" id="inputPassword" class="form-control" placeholder="Password"  required>
        <div class="checkbox mb-3">
            <label>
                <input type="checkbox" value="remember-me"> Se souvenir de moi
            </label>
        </div>
        <input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}">
        <button class="btn btn-lg btn-dark" type="submit">
            Connexion
        </button>
</form>
{% endblock %}
